# pandas.Panel.truncate

`Panel.``truncate`(before=None, after=None, axis=None, copy=True)

  Truncates a sorted NDFrame before and/or after some particular dates.

  Parameters:

  before : date

  > Truncate before date

  after : date

  > Truncate after date

  axis : the truncation axis, defaults to the stat axis

  copy : boolean, default is True,

  > return a copy of the truncated section

  Returns: | truncated : type of caller